package cn.com.countrygarden.bi.main.service.canteen;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.CanteenScorestatisticsDTO;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.sys.Function;
import cn.com.countrygarden.bi.main.model.canteen.CanteenScore;
import tk.mybatis.mapper.entity.Condition;
import tk.mybatis.mapper.entity.Example;
/**
 * 饭堂调查得分-业务逻辑层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-13
 */
public interface CanteenScoreService {

    Result queryPageList(CanteenScore canteenScore, int page, int size);

    Result queryById(Integer id);

    Result add(String answer,AccessToken accessToken);

    Result edit(CanteenScore canteenScore, AccessToken accessToken);

    Result del(Integer id);
    
    Result bdpsndoccadati(String bdid,int canteeninsdid);
    
    Result updatescore(String bdid,int canteeninsdid);
    
    Result getcascore(CanteenScorestatisticsDTO cantesore,int page, int size);
    
    Result viewdetailsv(Integer rqid,Integer ciid);
    
    Result canteenareatu(String areaId);
    
    Result canteenprojectu(String areaId);
}